Gtk2::WebKit::WebWindowFeatures(3)

NAME
Gtk2::WebKit::WebWindowFeatures

HIERARCHY
  Glib::Object
  +----Gtk2::WebKit::WebWindowFeatures

METHODS

  webwindowfeatures = Gtk2::WebKit::WebWindowFeatures->new

  boolean = $features1->equal ($features2)

•   $features2 (Gtk2::WebKit::WebWindowFeatures)

PROPERTIES

'fullscreen' (boolean : default false : readable / writable / construct / private)
    Controls whether window will be displayed fullscreen.

'height' (integer : default -1 : readable / writable / construct / private)
    The height of the window on the screen.

'locationbar-visible' (boolean : default true : readable / writable / construct / private)
    Controls whether the locationbar should be visible for the window.

'menubar-visible' (boolean : default true : readable / writable / construct / private)
    Controls whether the menubar should be visible for the window.

'scrollbar-visible' (boolean : default true : readable / writable / construct / private)
    Controls whether the scrollbars should be visible for the window.

'statusbar-visible' (boolean : default true : readable / writable / construct / private)
    Controls whether the statusbar should be visible for the window.

'toolbar-visible' (boolean : default true : readable / writable / construct / private)
    Controls whether the toolbar should be visible for the window.

'width' (integer : default -1 : readable / writable / construct / private)
    The width of the window on the screen.

'x' (integer : default -1 : readable / writable / construct / private)
    The starting x position of the window on the screen.

'y' (integer : default -1 : readable / writable / construct / private)
    The starting y position of the window on the screen.

SEE ALSO
Gtk2::WebKit, Glib::Object

COPYRIGHT
Copyright (C) 2008, Florian Ragwitz